python-llvm_0.12.7-2_amd64.deb


Advertisement

Description

python-llvm - Python bindings for LLVM

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: python-llvm
Package version: 0.12.7
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 3.45 KB
Download size: 540.63 KB
Official Mirror: ftp.br.debian.org
llvm-py provides Python bindings for LLVM, the Low Level Virtual Machine. It's goal is to expose enough of LLVM APIs to implement a compiler backend or a VM in pure Python. llvm-py consists of Python and C modules that wrap over the native C++/C bindings of LLVM, and does not use / have dependencies on "glue utilities" like Boost.Python, swig etc.

Alternatives

    Download

    Source package: llvm-py

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-llvm deb package:
      # sudo apt-get install python-llvm

    Files

    • /usr/lib/python2.7/dist-packages/llvmpy-tag_.0.12.7.egg-info
    • /usr/lib/python2.7/dist-packages/llpython/__init__.py
    • /usr/lib/python2.7/dist-packages/llpython/byte_control.py
    • /usr/lib/python2.7/dist-packages/llpython/byte_flow.py
    • /usr/lib/python2.7/dist-packages/llpython/byte_translator.py
    • /usr/lib/python2.7/dist-packages/llpython/bytecode_visitor.py
    • /usr/lib/python2.7/dist-packages/llpython/bytetype.py
    • /usr/lib/python2.7/dist-packages/llpython/control_flow.py
    • /usr/lib/python2.7/dist-packages/llpython/gen_bytecode_visitor.py
    • /usr/lib/python2.7/dist-packages/llpython/nobitey.py
    • /usr/lib/python2.7/dist-packages/llpython/opcode_util.py
    • /usr/lib/python2.7/dist-packages/llpython/phi_injector.py
    • /usr/lib/python2.7/dist-packages/llpython/pyaddfunc.py
    • /usr/lib/python2.7/dist-packages/llvm/__init__.py
    • /usr/lib/python2.7/dist-packages/llvm/_intrinsic_ids.py
    • /usr/lib/python2.7/dist-packages/llvm/_version.py
    • /usr/lib/python2.7/dist-packages/llvm/core.py
    • /usr/lib/python2.7/dist-packages/llvm/deprecated.py
    • /usr/lib/python2.7/dist-packages/llvm/ee.py
    • /usr/lib/python2.7/dist-packages/llvm/llrt.py
    • /usr/lib/python2.7/dist-packages/llvm/passes.py
    • /usr/lib/python2.7/dist-packages/llvm/target.py
    • /usr/lib/python2.7/dist-packages/llvm/tbaa.py
    • /usr/lib/python2.7/dist-packages/llvm/llrt/llrt_x86.ll
    • /usr/lib/python2.7/dist-packages/llvm/llrt/llrt_x86_64.ll
    • /usr/lib/python2.7/dist-packages/llvm/mc/__init__.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/__init__.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/support.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_alloca.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_arg_attr.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_arith.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_asm.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_atomic.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_attr.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_cmp.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_const_expr.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_cpu_support.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_engine_builder.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_exact.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_execution_engine.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_inlining.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_intel_native_asm.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_intrinsic.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_intrinsic_basic.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_issue_10.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_issue_100.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_llrt.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_mcjit.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_metadata.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_named_metadata.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_native.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_nuw_nsw.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_obj_cache.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_opaque.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_operands.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_passes.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_struct.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_struct_args.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_switch.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_target_machines.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_type_hash.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_uses.py
    • /usr/lib/python2.7/dist-packages/llvm/tests/test_volatile.py
    • /usr/lib/python2.7/dist-packages/llvm/utils/__init__.py
    • /usr/lib/python2.7/dist-packages/llvm/utils/check_intrinsics.py
    • /usr/lib/python2.7/dist-packages/llvm/workaround/__init__.py
    • /usr/lib/python2.7/dist-packages/llvm/workaround/avx_support.py
    • /usr/lib/python2.7/dist-packages/llvm_array/__init__.py
    • /usr/lib/python2.7/dist-packages/llvm_array/array.py
    • /usr/lib/python2.7/dist-packages/llvm_cbuilder/__init__.py
    • /usr/lib/python2.7/dist-packages/llvm_cbuilder/builder.py
    • /usr/lib/python2.7/dist-packages/llvm_cbuilder/executor.py
    • /usr/lib/python2.7/dist-packages/llvm_cbuilder/libc.py
    • /usr/lib/python2.7/dist-packages/llvm_cbuilder/shortnames.py
    • /usr/lib/python2.7/dist-packages/llvm_cbuilder/translator.py
    • /usr/lib/python2.7/dist-packages/llvmpy/__init__.py
    • /usr/lib/python2.7/dist-packages/llvmpy/_api.so
    • /usr/lib/python2.7/dist-packages/llvmpy/_api_d.so
    • /usr/lib/python2.7/dist-packages/llvmpy/_capsule.so
    • /usr/lib/python2.7/dist-packages/llvmpy/_capsule_d.so
    • /usr/lib/python2.7/dist-packages/llvmpy/capsule.py
    • /usr/lib/python2.7/dist-packages/llvmpy/extra.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/__init__.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/CallingConv.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/CodeGenOpt.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/CodeModel.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/EngineKind.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/Intrinsic.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/LibFunc.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/Reloc.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/TLSModel.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/__init__.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/cl.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/dwarf.py
    • /usr/lib/python2.7/dist-packages/llvmpy/api/llvm/sys.py
    • /usr/share/doc/python-llvm/changelog.Debian.gz
    • /usr/share/doc/python-llvm/changelog.gz
    • /usr/share/doc/python-llvm/copyright

    Changelog

    2014-09-28 - Sylvestre Ledru <sylvestre@debian.org> llvm-py (0.12.7-2) unstable; urgency=medium * LLVM defaulted on 3.5, upstream is not ready yet. Force the usage of 3.4 until it is fixed

    2014-08-31 - Sylvestre Ledru <sylvestre@debian.org> llvm-py (0.12.7-1) unstable; urgency=medium * New upstream release

    2014-07-14 - Sylvestre Ledru <sylvestre@debian.org> llvm-py (0.12.6-2) unstable; urgency=medium * Fix the Vcs-* fields * FTBFS with llvm 3.4. Cherry-pick upstream pull request: https://github.com/llvmpy/llvmpy/pull/97 (Closes: #754719)

    2014-07-06 - Sylvestre Ledru <sylvestre@debian.org> llvm-py (0.12.6-1) unstable; urgency=medium * New upstream release

    2014-05-04 - Sylvestre Ledru <sylvestre@debian.org> llvm-py (0.12.5-1) unstable; urgency=medium * New upstream release

    2014-02-21 - Sylvestre Ledru <sylvestre@debian.org> llvm-py (0.12.3-1) unstable; urgency=medium * New upstream release

    2013-11-21 - Sylvestre Ledru <sylvestre@debian.org> llvm-py (0.12.1-1) unstable; urgency=low * New upstream release * Standards-Version updated to 3.9.5

    2013-09-18 - Sylvestre Ledru <sylvestre@debian.org> llvm-py (0.12.0-1) unstable; urgency=low * New upstream release

    2013-06-12 - Sylvestre Ledru <sylvestre@debian.org> llvm-py (0.11.3-1) unstable; urgency=low * New upstream release (switch to llvmpy) * Update of the homepage * Package moved under the pkg-llvm team * Carl removed from the maintainer (as he requested) * Add myself as maintainer * Standards-Version updated to version 3.9.4 * Switch to the default llvm package, 3.2 for now (Closes: #678820) * Update of the watch file * Remove of the patches (no longer necessary)

    2012-03-11 - Carl Chenet <chaica@ohmytux.com> llvm-py (0.6+svn105-2) unstable; urgency=low * debian/control - Bump B-D llvm-2.8 and llvm-2.8-dev to 2.9 - Upgrade Standards-Version to 3.9.3 - Removed ${python:Breaks} * debian/patches - Unlink-static-lib.patch for llvm 2.9 - Add update-2-9.patch for llvm-py to support llvm 2.9 (Closes: #662880) * debian/rules - Added -r 105 to svn checkout for get-orig-source

    Advertisement
    Advertisement